import React from 'react';
import { WithClassName } from '../../types/components';
import cn from 'classnames';
import { UsePaginationHookControls } from '../../hooks/usePagination';

type PaginationComponentProps = WithClassName & {
  controls: UsePaginationHookControls;
};

export const Pagination: React.FC<PaginationComponentProps> = ({
  className,
  controls: {
    paginationData: { page, total },
    setPage,
  },
}) => (
  <div className={cn(className, 'btn-group')}>
    {[...Array(total <= 1 ? 0 : total)].map((_, index) => {
      const realPage = index + 1;

      return (
        <button
          key={index}
          className={cn('btn', { 'btn-active': page === realPage })}
          onClick={() => setPage(realPage)}
        >
          {realPage}
        </button>
      );
    })}
  </div>
);
