import React from 'react';
import { Modal, ModalProps } from './Modal';

type ConfirmationModalProps = ModalProps<{
  onConfirm: () => void;
  onCancel: () => void;
}> & {
  title: string;
  message: string;
};

export const ConfirmationModal: React.FC<ConfirmationModalProps> = ({
  title,
  message,
  actions,
  ...rest
}) => (
  <Modal actions={actions} {...rest}>
    <h3 className="font-bold text-lg">{title}</h3>
    <p className="py-4">{message}</p>
    <div className="modal-action">
      <button className="btn btn-ghost" onClick={actions.onCancel}>
        Cancel
      </button>
      <button className="btn" onClick={actions.onConfirm}>
        Confirm
      </button>
    </div>
  </Modal>
);
