import React from 'react';
import { WithChildren, WithClassName } from '../../../types/components';
import cn from 'classnames';

export type ModalProps<T extends {}> = WithClassName & {
  open?: boolean;
  actions: T;
};

export const Modal = <T extends {}>({
  className,
  children,
  open,
}: ModalProps<T> & WithChildren) => (
  <div className={cn(className, 'modal', { 'modal-open': open })}>
    <div className="modal-box">{children}</div>
  </div>
);
