import React, { ReactNode } from 'react';
import Link from 'next/link';
import cn from 'classnames';

type PortalTabLinkProps = {
  href: string;
  children?: ReactNode;
  active?: boolean;
};

export const PortalTabLink: React.FC<PortalTabLinkProps> = ({
  href,
  children,
  active,
}) => (
  <Link href={href} passHref>
    <a
      className={cn('btn flex-1 btn-ghost no-animation', {
        'btn-active': active,
      })}
    >
      {children}
    </a>
  </Link>
);
