import type { AppProps } from 'next/app';
import { AppWrapper } from '../app/components/layout/AppWrapper';
import '../app/styles/globals.scss';
import { useEffect } from 'react';
import { IS_BROWSER } from '../app/utilities/helpers';
import vault from '../app/utilities/vault';
import { ThemeContextProvider } from '../app/context/ThemeContext';

function App({ Component, pageProps }: AppProps) {
  useEffect(() => {
    if (IS_BROWSER) {
      vault.initVault();
    }
  });

  return (
    <ThemeContextProvider>
      <AppWrapper>
        <Component {...pageProps} />
      </AppWrapper>
    </ThemeContextProvider>
  );
}

export default App;
